import { PassContractData, UseCase, RedeemableContractData, SimultaneousRevealContractData } from '@inkerlabs/sdk';
declare type DataType = {
    [UseCase.PASS]: PassContractData;
    [UseCase.RR]: RedeemableContractData;
    [UseCase.SR]: SimultaneousRevealContractData;
};
export default function useContractDataFactory<T extends UseCase>(useCase: T): () => [
    DataType[T] | undefined,
    string | undefined
];
export {};
