import { UseCase } from "@inkerlabs/sdk";
import { AssetMetadata } from "..";
export default function useNFTsFactory<T extends UseCase>(useCase: T): () => {
    tokens: string[] | undefined;
    getTokensMetadata: (tokens: string[]) => Promise<import("@inkerlabs/sdk").NFTsMetadata>;
    getTokensMetadataLazy: (tokens: string[], cb: (index: string | number, metadata: AssetMetadata) => any) => Promise<void>;
    error: string | undefined;
};
