import { useSigner } from "wagmi";
import { useAccount } from "..";
import useWebThreeAuth from "./useWebThreeAuth";
export default function _useSigner() {
    var address = useAccount().address;
    var webThreeAuthSigner = useWebThreeAuth().signer;
    var wagmiSigner = useSigner().data;
    var signer = address && (webThreeAuthSigner || wagmiSigner);
    return { signer: signer, address: address };
}
